class UrlCopyToClipboard {
    constructor() {
        this.copyBtnSelector = '[data-url-copy-btn]';
    }

    init() {
        console.log('URL Copy to Clipboard Initialized');
        const copyBtn = document.querySelector(this.copyBtnSelector);

        if (copyBtn) {
            copyBtn.addEventListener('click', () => {
                this.copyUrl(copyBtn);
            });
        }
    }

    copyUrl(copyBtn) {
        const url = window.location.href;

        navigator.clipboard.writeText(url).then(() => {
            // Ändern der Button-Farbe nach erfolgreichem Kopieren
            copyBtn.style.color = '#20c997';
        }).catch(err => {
            console.error('Error copying text: ', err);
            // Optional: Fehlerbehandlung, z.B. Rot färben bei einem Fehler
            copyBtn.style.color = 'red';
        });
    }
}

document.addEventListener('DOMContentLoaded', () => {
    (new UrlCopyToClipboard()).init();
});
